API Documentation

Integrate Boost Zone into your own platform. Build your own SMM panel using our powerful API.

Authentication

All API requests require your unique API key. Find it in Dashboard > Settings > API Key.

Base URL: https://www.boost-zone.com/api/v1

Include your API key in every request:

HEADERAuthorization: Bearer YOUR_API_KEY

Endpoints

GET/services

Get all available services with prices.

GET/api/v1/services

POST/order

Place a new order.

POST/api/v1/order
ParameterTypeDescription
serviceintegerService ID from /services
linkstringURL to post/profile
quantityintegerAmount to order

GET/order/:id

Check order status.

GET/api/v1/order/12345

GET/balance

Check account balance.

GET/api/v1/balance

Code Examples

cURL

curl -X POST https://www.boost-zone.com/api/v1/order \\
  -H "Authorization: Bearer YOUR_API_KEY" \\
  -H "Content-Type: application/json" \\
  -d \'{"service":1,"link":"https://instagram.com/user","quantity":1000}\'

Python

import requests

response = requests.post("https://www.boost-zone.com/api/v1/order",
  headers={"Authorization": "Bearer YOUR_API_KEY"},
  json={"service": 1, "link": "https://instagram.com/user", "quantity": 1000})
print(response.json())

Node.js

const res = await fetch("https://www.boost-zone.com/api/v1/order", {
  method: "POST",
  headers: {"Authorization":"Bearer YOUR_API_KEY","Content-Type":"application/json"},
  body: JSON.stringify({service:1,link:"https://instagram.com/user",quantity:1000})})
const data = await res.json();

Rate Limits

Free: 100 req/hour. Premium: 1000 req/hour. Need more? Contact us on Telegram.

Get Your API Key

Register free and get instant API access